function LinesMaxCurrent = import_max_current(filename, dataLines)
%IMPORTFILE Import data from a text file
%  LINESMAXCURRENT = IMPORTFILE(FILENAME) reads data from text file
%  FILENAME for the default selection.  Returns the numeric data.
%
%  LINESMAXCURRENT = IMPORTFILE(FILE, DATALINES) reads data for the
%  specified row interval(s) of text file FILENAME. Specify DATALINES as
%  a positive scalar integer or a N-by-2 array of positive scalar
%  integers for dis-contiguous row intervals.
%
%  Example:
%  LinesMaxCurrent = import_max_current("/home/lglroman/Dropbox/SATIE/PSCC2024/codes/opf/PSO/cases/ELVTF_3agents/European_LV_Test_Feeder_v2/European_LV_CSV/LinesMaxCurrent.csv", [3, 12]);
%
%  See also READTABLE.
%
% Auto-generated by MATLAB on 04-Aug-2023 11:46:50

%% Input handling

% If dataLines is not specified, define defaults
if nargin < 2
    dataLines = [3, 12];
end

%% Set up the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 2);

% Specify range and delimiter
opts.DataLines = dataLines;
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = ["Var1", "VarName2"];
opts.SelectedVariableNames = "VarName2";
opts.VariableTypes = ["string", "double"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, "Var1", "WhitespaceRule", "preserve");
opts = setvaropts(opts, "Var1", "EmptyFieldRule", "auto");

% Import the data
LinesMaxCurrent = readtable(filename, opts);

%% Convert to output type
LinesMaxCurrent = table2array(LinesMaxCurrent);
end